<?php

namespace Teknisa\CADFIN\Controllers;

use Teknisa\CADFIN\Controllers\TeknisaCrud;
use Teknisa\CADFIN\Services\Bco51200TipoDeCreditoBancarioService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DTO\Response\Error; 

class Bco51200TipoDeCreditoBancarioController extends TeknisaCrud {
    
    protected $dataSourceName = "tpcredbanc_classfinanc_contctbl";
    protected $dataSourceNameToSave = 'tpcredbanc';
    protected $parameterBagColumns = array('NRORG');
    
    public function __construct($crudService, ParameterBag $parameterBag, Bco51200TipoDeCreditoBancarioService $service) {
        $this->service = $service;
        parent::__construct($crudService, $parameterBag);
    }
    
    public function validarCodigo(DTO\Request\Row $request, DTO\Response $response){
        try{
            $this->service->validarCodigo($request->getRow());
        }
        catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
}